Package org.apache.sling.testing.clients.util

# Class TimeoutsProvider

java.lang.Object
org.apache.sling.testing.clients.util.TimeoutsProvider

@Deprecated public class TimeoutsProvider extends Object
Deprecated.
duplicate of `TimeoutsProvider`. This will be removed in the future, so switch to the other one instead
Return timeout values that can be multiplied by a configurable factor. Useful to cope with slower integration testing systems: use timeout constants in your code that work for usual development systems, and set a multiplier when running on a slower system.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PROP_TIMEOUT_MULTIPLIER`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`static TimeoutsProvider`
`getInstance()`
Deprecated.
`int`
`getTimeout(int nomimalValue)`
Deprecated.
`long`
`getTimeout(long nomimalValue)`
Deprecated.
`int`
`getTimeout(String systemPropertyName, int defaultNominalValue)`
Deprecated.
Get timeout from a system property, with default value

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PROP_TIMEOUT_MULTIPLIER

public static final String PROP_TIMEOUT_MULTIPLIER
Deprecated.

See Also:
  - Constant Field Values

## Method Details

### getInstance

public static TimeoutsProvider getInstance()
Deprecated.

### getTimeout

public long getTimeout(long nomimalValue)
Deprecated.

### getTimeout

public int getTimeout(int nomimalValue)
Deprecated.

### getTimeout

public int getTimeout(String systemPropertyName, int defaultNominalValue)
Deprecated.
Get timeout from a system property, with default value

Parameters:
  `systemPropertyName` - Name of the system property that holds the timeout multiplier
  `defaultNominalValue` - The default timeout multiplier
Returns:
  the total timeout value